Skip to main content
PUT
/
activity
/
comment
cURL
curl --request PUT \
  --url https://cloud.kaneo.app/api/activity/comment \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "activityId": "<string>",
  "comment": "<string>"
}
'
{
  "id": "<string>",
  "taskId": "<string>",
  "type": "comment",
  "createdAt": "<unknown>",
  "userId": "<string>",
  "content": "<string>",
  "externalUserName": "<string>",
  "externalUserAvatar": "<string>",
  "externalSource": "<string>",
  "externalUrl": "<string>"
}

Authorizations

Authorization
string
header
required

API Key authentication

Body

application/json
activityId
string
required
comment
string
required

Response

200 - application/json

Comment updated successfully

id
string
required
taskId
string
required
type
enum<string>
required
Available options:
comment,
task,
status_changed,
priority_changed,
unassigned,
assignee_changed,
due_date_changed,
title_changed,
description_changed,
create
createdAt
any
required
userId
string | null
required
content
string | null
required
externalUserName
string | null
required
externalUserAvatar
string | null
required
externalSource
string | null
required
externalUrl
string | null
required